EDIT - feature request #7903

Add treelndex with rank to cdm light export
11/13/2018 01:40 PM - Katja Luther

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Hallo,

hier die Mails zur Taxon-Sortierung.

Wenn ich den Treelndex richtig verstehe, dann ist das eine weitere Tabelle in der nur IDs stehen, aber in der richtigen Reihenfolge
(wie im Navigator). Die brauchte ich, allerdings zusammen mit ID’s, die auch in der Taxon-Tabelle verwandt werden. Eine Alternative
wére, die Sequenz-Nummerierung gleich in die Taxon-Tabelle mit einzubauen.

Herzlichen Gruf3

Walter

Hallo,

also, wenn ich diese Liste in der gegebenen Reihenfolge durchnummeriere, kann ich daraus in Access einen Index fur die Taxon
Tabelle erzeugen, der die Anordnung im Baum im Taxeditor und Portal wiederspiegelt?

Dann wére das wirklich ausgesprochen nitzlich, da, wie gesagt, meine (rangbasierter und alphabetischer) Indexprozedur nicht
zuverlassig funktioniert.

Herzlichen Gruf3

Walter

Hallo,

der bestehende Treeindex ist eine Liste von TaxonNode IDs (hmm, ich merke gerade dass da aus Platz Grinden IDs und nicht
UUIDs verwendet werden, somit doch nicht trivial in CDM light zu integrieren. Aber wirklich schwierig sollte es trotzdem nicht sein,
wenn es ,enorm nitzlich® ist.

@Katja, vielleicht kannst du das ja mal in die TODO Liste aufnehmen und wir Gberlegen mal, wie man es am besten umsetzen kann.

,Mit Rangen“ heif3t, dass der Index auch Uber die Rangstufe Bescheid weif3. Haufig brauchen wir ja die Abfrage ,gib mir mal die
Familie zu xy* oder gib mir die Taxon Liste bis maximal Rang Familie aufwérts. Z.B. ist das noch ein groB3er Performance Bottelneck
beim Portal Taxonbaum, wenn dort ein MaximalRang angegeben ist. Die Query ist derzeit recht teuer. Wenn die Ranginfo im Index
mit wére, kénnte das deutlich billiger werden.

Viele Grif3e,
Andreas M.

Hallo,

oh, eigentlich verstehe ich nicht so recht, was das ,mit Rdngen” eigentlich bedeutet. Der existierende Treeindex gibt die Reihenfolge,
wie sie im Editor / Portal ausgegeben wird? Das wére schon enorm nitzlich!

Herzlichen Gruf3

Walter

Hallo Walter,
im CDM Light Export sollte das keinerlei Problem sein. Da wird ja ein eingefrorener Zustand exportiert. Das Problem beim Index ist ja

das korrekte updaten.
Fur den Export missten wir uns nur auf eine Syntax einigen, wie der Index aussehen soll.
Wir kdnnten ja auch den bestehenden Treeindex (ohne Range) mit exportieren, falls dir das was hilft.

Viele GriR3e,
Andreas M.

Hallo,

das (Treeindex mit Rang) wére Klasse, wenn man das auch in den CDM-light output integrieren kdnnte — meine Indexing-Funktion
verschluckt sich namlich leider &fter ....

Herzlichen Gruf3

Walter

Hallo Walter,

ja, die Frage hatte ich schon erwartet. Sofern sich der Rang immer auf das akzeptierte Taxon bezieht, sollte das sicherlich kein
wirkliches Problem sein. Der Mechanismus ist ja ahnlich wie beim publish Flag bzw. beim taxonomischen Slice.

Allerdings kdnnte man sich in dem Zusammenhang auch nochmal Gedanken Uber einen Treelndex machen, der den Rang mit
beinhaltet, das wirde die Sache sehr vereinfachen und wir brauchten das an mehreren Stellen. Aber das muss man dann sehen.

Viele Grife,
Andreas M.

Hallo,

im Caryophyllales Netzwerk betreiben wir ja derzeit die Gattungscheckliste in einer von der Species-Checkliste getrennten Instanz.
Derzeit ist das auch noch verninftig, da wir ja die Familien erst aussortieren und daher u.U. Pseudotaxa auf der Gattungsebene
vorhalten. Perspektivisch wirden wir das aber wohl als ein zusétzliches Portal handhaben. Das ist sinnvoll, weil die
Gattungsumschreibung eine laufende Forschungsthematik ist, die man eventuell auch getrennt den enthaltenen Arten sehen kann
(also: Gattungen innerhalb einer Familie sichtbar, Arten nicht). Ist es méglich, ein auf die Rangstufe Gattung (wahlweise: Und
darlber) beschrénkte Ausgabe im Portal zu machen?

Wie gesagt, noch nicht aktuell, aber perspektivisch wichtig.

Herzlichen Gruf3

Walter

Associated revisions

Revision ¢22a678f - 01/09/2019 10:10 AM - Katja Luther
ref #7903: add sortindex to taxon table in cdm light export

Revision e4aadd07 - 01/09/2019 12:40 PM - Katja Luther

ref #7903: add possibility to choose order of taxa in cdm light export

Revision 5391060 - 01/09/2019 02:11 PM - Katja Luther

ref #7903: add comparator for taxa in cdm light configurator

Revision ed596689 - 01/09/2019 02:38 PM - Katja Luther

ref #7903: TaxonNodeDtoNaturalComparator needs to implement Serializable

History

#1 - 11/13/2018 01:40 PM - Katja Luther

- Description updated

#2 - 11/13/2018 01:47 PM - Katja Luther

noch eine kurze Anmerkung, die Sortierung im Navigator ist eine Preference im Editor, man kann wahlen zwischen alphabetisch, alphabetisch+Rang
und nattrlicher Reihenfolge.

Far den Export wiirde ich einen Sortindex mit in die Taxon Tabelle einbauen, die Sortierung wiirde ich dann entsprechend der aktuellen Einstellung
im Editor vornehmen.

#3 - 11/13/2018 05:13 PM - Andreas Miller
Katja Luther wrote:

noch eine kurze Anmerkung, die Sortierung im Navigator ist eine Preference im Editor, man kann wahlen zwischen alphabetisch,
alphabetisch+Rang und nattrlicher Reihenfolge.

Far den Export wirde ich einen Sortindex mit in die Taxon Tabelle einbauen, die Sortierung wirde ich dann entsprechend der aktuellen
Einstellung im Editor vornehmen.

Warum willst du die aus dem Editor ibernehmen. Das es sich um einen Export handelt sollte das doch am besten in den Exportkonfigurator
(Assistenten). Der voreingestellte Wert kénnte dann natiirlich der sein, der auch im Editor verwendet wird.

#4 - 01/09/2019 03:43 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.5

now there is an implementation for creating a sortindex at the end of the export on the basis of a map containing a list of TaxonNodeDtos of the
children for every taxon which is exported.
